## MetaWindowActor MetaWindowActor — An actor representing a top-level window in the scene graph |

## Functions

Window | meta_window_actor_get_x_window ()
gint | meta_window_actor_get_workspace ()
MetaWindow * | meta_window_actor_get_meta_window ()
ClutterActor * | meta_window_actor_get_texture ()
gboolean | meta_window_actor_is_override_redirect ()
gboolean | meta_window_actor_showing_on_its_workspace ()
gboolean | meta_window_actor_is_destroyed ()

## Properties

gpointer | meta-screen | Read / Write / Construct
MetaWindow * | meta-window | Read / Write / Construct
gboolean | no-shadow | Read / Write
gchar * | shadow-class | Read / Write
gulong | x-window | Read / Write / Construct

## Signals

void | position-changed | Run Last
void | size-changed | Run Last

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── MetaWindowActor

## Description

## Functions

### meta_window_actor_get_x_window ()

    Window
    meta_window_actor_get_x_window (MetaWindowActor *self);

[skip]

### meta_window_actor_get_workspace ()

    gint
    meta_window_actor_get_workspace (MetaWindowActor *self);

Returns the index of workspace on which this window is located; if the window is sticky, or is not currently located on any workspace, returns -1. This function is deprecated and should not be used in newly written code; `meta_window_get_workspace()` instead.

#### Parameters

self | MetaWindowActor |

#### Returns

index of workspace on which this window is located.

### meta_window_actor_get_meta_window ()

    MetaWindow *
    meta_window_actor_get_meta_window (MetaWindowActor *self);

Gets the MetaWindow object that the the MetaWindowActor is displaying

#### Returns

the displayed MetaWindow.

[transfer none]

### meta_window_actor_get_texture ()

    ClutterActor *
    meta_window_actor_get_texture (MetaWindowActor *self);

Gets the ClutterActor that is used to display the contents of the window

#### Returns

the ClutterActor for the contents.

[transfer none]

### meta_window_actor_is_override_redirect ()

    gboolean
    meta_window_actor_is_override_redirect
                                   (MetaWindowActor *self);

### meta_window_actor_showing_on_its_workspace ()

    gboolean
    meta_window_actor_showing_on_its_workspace
                                   (MetaWindowActor *self);

### meta_window_actor_is_destroyed ()

    gboolean
    meta_window_actor_is_destroyed (MetaWindowActor *self);

Gets whether the X window that the actor was displaying has been destroyed

#### Returns

`TRUE` when the window is destroyed, otherwise `FALSE`

## Types and Values

## Property Details

### The `“meta-screen”` property

      “meta-screen”              gpointer

MetaScreen.

Flags: Read / Write / Construct

### The `“meta-window”` property

      “meta-window”              MetaWindow *

The displayed MetaWindow.

Flags: Read / Write / Construct

### The `“no-shadow”` property

      “no-shadow”                gboolean

Do not add shaddow to this window.

Flags: Read / Write

Default value: FALSE

### The `“shadow-class”` property

      “shadow-class”             gchar *

NULL means to use the default shadow class for this window type.

Flags: Read / Write

Default value: NULL

### The `“x-window”` property

      “x-window”                 gulong

Window.

Flags: Read / Write / Construct

## Signal Details

### The `“position-changed”` signal

    void
    user_function (MetaWindowActor *metawindowactor,
                   gpointer         user_data)

Flags: Run Last

### The `“size-changed”` signal

    void
    user_function (MetaWindowActor *metawindowactor,
                   gpointer         user_data)

Flags: Run Last